<h2><?php esc_html_e( 'Quick Start Guide', 'content-locker' ); ?></h2>

<p>
	<?php esc_html_e( 'You can use the Content Locker plugin to grab visitors email ID and their name as well. You can ask them to sign in using their Facebook, Twitter, Google, LinkedIn accounts. The plugin enables them to just user their email ID to create a free WordPress account as well.', 'content-locker' ); ?>
</p>

<p>
	<?php esc_html_e( 'Whicher option they choose, their email ID will be added to your email list, and you can market to them in the future.', 'content-locker' ); ?>
</p>

<p>
	<?php esc_html_e( 'Setting up this option is a bit tedious so make sure you grab a cup of coffee because we need you alert for this one. First of all, you need to make sure that you have connected your website with your apps each on Facebook, Twitter, Google+ and LinkedIn.', 'content-locker' ); ?>
</p>

<table class="wp-list-table widefat fixed striped">
	<thead>
		<tr>
			<th><?php esc_html_e( 'Button Name', 'content-locker' ); ?></th>
			<th><?php esc_html_e( 'Your action to make it work', 'content-locker' ); ?></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td><?php esc_html_e( 'Facebook Sign-In Button', 'content-locker' ); ?></td>
			<td>
				<a href="<?php echo cl_get_help_url( 'creating-facebook-app' ); ?>" class="button button-default"><?php esc_html_e( 'Requires creating a Facebook App', 'content-locker' ); ?></a>
			</td>
		</tr>
		<tr>
			<td><?php esc_html_e( 'Twitter Sign-In Button', 'content-locker' ); ?></td>
			<td>
				<a href="<?php echo cl_get_help_url( 'creating-twitter-app' ); ?>" class="button button-default"><?php esc_html_e( 'Requires creating a Twitter App', 'content-locker' ); ?></a>
			</td>
		</tr>
		<tr>
			<td><?php esc_html_e( 'Google Sign-In Button', 'content-locker' ); ?></td>
			<td>
				<a href="<?php echo cl_get_help_url( 'creating-google-app' ); ?>" class="button button-default"><?php esc_html_e( 'Requires getting Google Client ID', 'content-locker' ); ?></a>
			</td>
		</tr>
		<tr>
			<td><?php esc_html_e( 'LinkedIn Sign-In Button', 'content-locker' ); ?></td>
			<td>
				<a href="<?php echo cl_get_help_url( 'creating-linkedin-app' ); ?>" class="button button-default"><?php esc_html_e( 'Requires getting a LinkedIn API Key', 'content-locker' ); ?></a>
			</td>
		</tr>
	</tbody>
</table>
<br />
<p>
	<?php esc_html_e( 'The above steps need to be performed only once. After that is done, you can start with your first Signin Locker setup.', 'content-locker' ); ?>
</p>
<p class="mts-cl-img">
	<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/8.jpg" />
</p>
<ol>
	<li>
		<p>
			<?php esc_html_e( 'Go to your WordPress Dashboard and Locate the Content Locket menu item. Click on the "+Sign-In- Locker" option to bring out the various options.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Give your Sign-In locker a descriptive title. This will help you locate it in the future easily.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Click on the "Locker" tab if that one isn\'t pre-activated.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Start with the Facebook option and replicate the settings for rest of the social networks.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Activate the sign in option so that once users log in using their Facebook account - they can see the locked content instantly.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Enable the "Save Email" option if you want to grab their email IDs. You can disable as per your preferences as well.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Depending on what email service you use, you can select the list to which your email subscribers will be added.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'If you want to, you can have each visitor get a free account on your WordPress blog.', 'content-locker' ); ?>
		</p>
		<p>
			<?php esc_html_e( 'Once you are done, you can either save the sign in locker, or you can proceed to other social networks if you want to offer more options to your visitors.', 'content-locker' ); ?>
		</p>
		<p class="mts-cl-img">
			<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/9.jpg" />
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Now, we will change what the locker says. Pay attention to this section as it is the place where you can convince your visitors to unlock rest of your content by signing in using their social accounts.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Give your locker section a lucrative title. This is what your visitors will see when they encounter your on-page locker.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Add further details with the help of images here. You can add screenshots here to explain the process a bit further.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Add more details if you want to. Use precise instructions or explain why a visitor should unlock your content by signing in and assure them that their data is safe with you and you won\'t spam them if they provide you with email ID.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Choose the theme for your locker here.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Overlap Mode helps you choose the way you want the content to lock. You can make the locked content fully hidden, or you can tease your visitors with a blurred section of your locked content.', 'content-locker' ); ?>
		</p>
		<p class="mts-cl-img">
			<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/10.jpg" />
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Once you are done with the General settings, move to the Visibility part to choose who see the sign-in locker.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Use this option to hide the locker for your logged in users. Registered users that are logged in will the see full content while as the non-logged in users will see the option to sign to see the locked content.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Tease your audience even further by locking you content after a preset time.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Don\'t want mobile visitors to see the locker, disable it for them here.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'If you choose always to show the locker, it will appear again after page reload even if a visitor previously followed the steps to unlock the content.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'You can use the "Relock" feature to lock the content again after a specified interval of time.', 'content-locker' ); ?>
		</p>
		<p class="mts-cl-img">
			<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/11.jpg" />
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Want to customize the locker even further, use the "Advance" tab to do that.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Make your locker less intrusive by allowing visitors to close it with a close icon.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Enable this option to highlight the content after a visitor has unlocked it.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Use this option to unlock the locker after a specified time interval.', 'content-locker' ); ?>
		</p>
	</li>
</ol>
<p>
	<?php esc_html_e( 'Once you are done with all the options, publish the locker and grab the shortcode as shown in the screenshot below:', 'content-locker' ); ?>
</p>
<p class="mts-cl-img">
	<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/12.jpg" />
</p>
<p>
	<?php esc_html_e( 'Once you have created a Sign-In Locker, it is time to use it in your posts to lock down your most valuable content.', 'content-locker' ); ?>
</p>
<ol>
	<li>
		<p>
			<?php esc_html_e( 'Go to create a post like you normally do.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Put the content you want to lock within the shortcodes you grabbed as shown in the last screenshot. You can use normal as well as HTML text here.', 'content-locker' ); ?>
		</p>
		<p class="mts-cl-img">
			<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/13.jpg" />
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'If you don\'t want to copy/paste the shortcode for the locker, you can auto-insert it using the built-in button as well. Check the below screenshot for reference:', 'content-locker' ); ?>
		</p>
		<p class="mts-cl-img">
			<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/14.jpg" />
		</p>
	</li>
</ol>
