<h2><?php esc_html_e( 'Quick Start Guide', 'content-locker' ); ?></h2>

<p>
	<?php esc_html_e( 'Using Content Locker plugin to setup a locker is incredibly easy. We utilize the power of WordPress shortcodes to make the social locker work. This allows you to use multiple social lockers on the same page. So, you can one type of content for Facebook lock and another one for Twitter. Or, you can lock your content and video in separate lockers on the same page or post.', 'content-locker' ); ?>
</p>

<p>
	<?php esc_html_e( 'Follow the below steps to setup your first social locker or check the video embedded below:', 'content-locker' ); ?>
</p>

<p class="mts-cl-img">
	<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/1.jpg" />
</p>

<br />

<ol>
	<li>
		<p>
			<?php esc_html_e( 'Open the social locker section of the Content Locker plugin by going to Your WordPress Dashboard > Content Locker > Social Locker.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'On the next screen, you will see all the options you get for creating a new social locker. Enter the title in the designated spot. This makes it easier for you to find the quiz in the future.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Enable the option here if you want the different social share buttons to show the count of how many times they have been \'liked\' or \'tweeted\'.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Change the wording of your locker by selecting the "Locker" tab and fiddle with all the options inside.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'First up is Facebook. Change how you want the Facebook like feature to function for your quiz here.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'You can enable or disable the Like button inside your social locker. This is good if you are experimenting with different options but don\'t want to keep adding your target URLs.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Next, you have to choose which URL/Page a visitor should "Like" in order for the content to unlock. It is a good idea to put your Facebook page URL here. Or, you can use your content\'s post URL here as well.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Then, change the text of your Facebook like button. You can have it say "Like to Unlock", "Like", or just about anything you can imagine. Don\'t make it too long, though.', 'content-locker' ); ?>
		</p>
		<p>
			<?php esc_html_e( 'That\'s how easy it is to setup a basic social locker. Follow the same steps for Twitter, Google +1, Facebook Share, Twitter Follow, G+ Share, Twitter Follow, YouTube Subscribe, and LinkedIn Share as well.', 'content-locker' ); ?>
		</p>
		<p class="mts-cl-img">
			<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/2.jpg" />
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Now, we will change what the locker says. Pay attention to this section as it is the place where you can convince your visitors to unlock rest of your content with their social shares.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Give your locker section a lucrative title. This is what your visitors will see when they encounter your on-page locker.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Add further details with the help of images here. You can add screenshots here to explain the process a bit further.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Add more details if you want to provide them to your visitors. Use precise instructions or explain why a visitor should unlock your content instead of going to another website to get the same content.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Choose the theme for your locker here. There are 8 different styles to choose from.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Select the button layout you want. You can make a choice between Horizontal and Vertical', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Overlap Mode helps you choose the way you want the content to lock. You can make the locked content fully hidden, or you can tease your visitors with a blurred section of your locked content.', 'content-locker' ); ?>
		</p>
		<p class="mts-cl-img">
			<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/3.jpg" />
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'If you want your content locker to be selective in nature, you can choose how that would work.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Use this option to hide the locker for your logged in users. Registered users that are logged in will the see full content while as the non-logged in users will see the locker.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Tease your audience even further by locking you content after a preset time.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Don\'t want mobile visitors to see the locker, disable it for them here.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'If you choose always to show the locker, it will appear again after page reload even if a visitor previously followed the steps to unlock the content.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'You can use the Relock feature to lock the content again after a specified interval of time.', 'content-locker' ); ?>
		</p>
		<p class="mts-cl-img">
			<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/4.jpg" />
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Want to customize the locker even further, use the "Advance" tab to do that.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Make your locker less intrusive by allowing visitors to close it with a close icon.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Enable this option to highlight the content after a visitor has unlocked it.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Use this option to unlock the locker after a specified time interval.', 'content-locker' ); ?>
		</p>
	</li>
</ol>

<p>
	<?php esc_html_e( 'Once you are done with all the options, publish the locker and grab the shortcode as shown in the screenshot below:', 'content-locker' ); ?>
</p>

<p class="mts-cl-img">
	<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/5.jpg" />
</p>
<p>
	<h2>
	<?php esc_html_e( 'Start Locking Your Content', 'content-locker' ); ?>
	</h2>
</p>
<p>
	<?php esc_html_e( 'Once you have created a social locker, it is time to use it in your posts to lock down your most valuable content.', 'content-locker' ); ?>
</p>
<ol>
	<li>
		<p>
			<?php esc_html_e( 'Go to create a post like you normally do.', 'content-locker' ); ?>
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'Put the content you want to lock within the shortcodes you grabbed using the last screenshot. You can use normal as well as HTML text here.', 'content-locker' ); ?>
		</p>
		<p class="mts-cl-img">
			<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/6.jpg" />
		</p>
	</li>
	<li>
		<p>
			<?php esc_html_e( 'If you don\'t want to copy/paste the shortcode for the locker, you can auto-insert it using the built-in button as well. Check the below screenshot for reference:', 'content-locker' ); ?>
		</p>
		<p class="mts-cl-img">
			<img src="<?php echo cl()->plugin_url(); ?>/admin/views/how-to-use/img/7.jpg" />
		</p>
	</li>
</ol>
